# -*- encoding: utf-8 -*-
# stub: chef-provisioning 2.7.6 ruby lib

Gem::Specification.new do |s|
  s.name = "chef-provisioning".freeze
  s.version = "2.7.6"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["John Keiser".freeze]
  s.date = "2018-12-12"
  s.description = "A library for creating machines and infrastructures idempotently in Chef.".freeze
  s.email = "jkeiser@chef.io".freeze
  s.files = ["Gemfile".freeze, "LICENSE".freeze, "Rakefile".freeze, "chef-provisioning.gemspec".freeze, "lib/chef/provider/load_balancer.rb".freeze, "lib/chef/provider/machine.rb".freeze, "lib/chef/provider/machine_batch.rb".freeze, "lib/chef/provider/machine_execute.rb".freeze, "lib/chef/provider/machine_file.rb".freeze, "lib/chef/provider/machine_image.rb".freeze, "lib/chef/provisioning.rb".freeze, "lib/chef/provisioning/action_handler.rb".freeze, "lib/chef/provisioning/add_prefix_action_handler.rb".freeze, "lib/chef/provisioning/chef_managed_entry_store.rb".freeze, "lib/chef/provisioning/chef_provider_action_handler.rb".freeze, "lib/chef/provisioning/chef_run_data.rb".freeze, "lib/chef/provisioning/convergence_strategy.rb".freeze, "lib/chef/provisioning/convergence_strategy/ignore_convergence_failure.rb".freeze, "lib/chef/provisioning/convergence_strategy/install_cached.rb".freeze, "lib/chef/provisioning/convergence_strategy/install_msi.rb".freeze, "lib/chef/provisioning/convergence_strategy/install_sh.rb".freeze, "lib/chef/provisioning/convergence_strategy/no_converge.rb".freeze, "lib/chef/provisioning/convergence_strategy/precreate_chef_objects.rb".freeze, "lib/chef/provisioning/driver.rb".freeze, "lib/chef/provisioning/load_balancer_spec.rb".freeze, "lib/chef/provisioning/machine.rb".freeze, "lib/chef/provisioning/machine/basic_machine.rb".freeze, "lib/chef/provisioning/machine/unix_machine.rb".freeze, "lib/chef/provisioning/machine/windows_machine.rb".freeze, "lib/chef/provisioning/machine_image_spec.rb".freeze, "lib/chef/provisioning/machine_spec.rb".freeze, "lib/chef/provisioning/managed_entry.rb".freeze, "lib/chef/provisioning/managed_entry_store.rb".freeze, "lib/chef/provisioning/recipe_dsl.rb".freeze, "lib/chef/provisioning/rspec.rb".freeze, "lib/chef/provisioning/transport.rb".freeze, "lib/chef/provisioning/transport/ssh.rb".freeze, "lib/chef/provisioning/transport/winrm.rb".freeze, "lib/chef/provisioning/version.rb".freeze, "lib/chef/resource/chef_data_bag_resource.rb".freeze, "lib/chef/resource/load_balancer.rb".freeze, "lib/chef/resource/machine.rb".freeze, "lib/chef/resource/machine_batch.rb".freeze, "lib/chef/resource/machine_execute.rb".freeze, "lib/chef/resource/machine_file.rb".freeze, "lib/chef/resource/machine_image.rb".freeze, "lib/chef_metal.rb".freeze, "spec/chef/provisioning/convergence_strategy/ignore_convergence_failure_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "http://github.com/chef/chef-provisioning/README.md".freeze
  s.licenses = ["Apache-2.0".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.2".freeze)
  s.rubygems_version = "3.0.8".freeze
  s.summary = "A library for creating machines and infrastructures idempotently in Chef.".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<net-ssh>.freeze, [">= 2.9", "< 5.0"])
      s.add_runtime_dependency(%q<net-scp>.freeze, ["~> 1.0"])
      s.add_runtime_dependency(%q<net-ssh-gateway>.freeze, ["> 1.2", "< 3.0"])
      s.add_runtime_dependency(%q<inifile>.freeze, [">= 2.0.2"])
      s.add_runtime_dependency(%q<cheffish>.freeze, [">= 4.0", "< 15.0"])
      s.add_runtime_dependency(%q<winrm>.freeze, ["~> 2.0"])
      s.add_runtime_dependency(%q<winrm-fs>.freeze, ["~> 1.0"])
      s.add_runtime_dependency(%q<winrm-elevated>.freeze, ["~> 1.0"])
      s.add_runtime_dependency(%q<mixlib-install>.freeze, [">= 1.0"])
    else
      s.add_dependency(%q<net-ssh>.freeze, [">= 2.9", "< 5.0"])
      s.add_dependency(%q<net-scp>.freeze, ["~> 1.0"])
      s.add_dependency(%q<net-ssh-gateway>.freeze, ["> 1.2", "< 3.0"])
      s.add_dependency(%q<inifile>.freeze, [">= 2.0.2"])
      s.add_dependency(%q<cheffish>.freeze, [">= 4.0", "< 15.0"])
      s.add_dependency(%q<winrm>.freeze, ["~> 2.0"])
      s.add_dependency(%q<winrm-fs>.freeze, ["~> 1.0"])
      s.add_dependency(%q<winrm-elevated>.freeze, ["~> 1.0"])
      s.add_dependency(%q<mixlib-install>.freeze, [">= 1.0"])
    end
  else
    s.add_dependency(%q<net-ssh>.freeze, [">= 2.9", "< 5.0"])
    s.add_dependency(%q<net-scp>.freeze, ["~> 1.0"])
    s.add_dependency(%q<net-ssh-gateway>.freeze, ["> 1.2", "< 3.0"])
    s.add_dependency(%q<inifile>.freeze, [">= 2.0.2"])
    s.add_dependency(%q<cheffish>.freeze, [">= 4.0", "< 15.0"])
    s.add_dependency(%q<winrm>.freeze, ["~> 2.0"])
    s.add_dependency(%q<winrm-fs>.freeze, ["~> 1.0"])
    s.add_dependency(%q<winrm-elevated>.freeze, ["~> 1.0"])
    s.add_dependency(%q<mixlib-install>.freeze, [">= 1.0"])
  end
end

